it.reply.healty.innovapuglia.mstaccuino.utility

## Class InputValidator

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.InputValidator

-     @Component
      public final class InputValidator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(AddDetectionRequest request)` Metodo di validazione dell'input per l'aggiunta di una rilevazione.
    `void` | `validate(AddDocumentRequest request)` Metodo di validazione dell'input per l'aggiunta di un documento.
    `void` | `validate(AddDrugRequest request)` Metodo di validazione dell'input per l'aggiunta di un farmaco.
    `void` | `validate(AddEventRequest request)` Metodo di validazione dell'input per l'aggiunta di un evento.
    `void` | `validate(AddHealthcareContactRequest request)` Metodo di validazione dell'input per l'aggiunta di un contatto struttura sanitaria.
    `void` | `validate(AddNoteRequest request)` Metodo di validazione dell'input per l'aggiunta di una nota.
    `void` | `validate(AddOtherContactRequest request)` Metodo di validazione dell'input per l'aggiunta di un contatto medico non conv.
    `void` | `validate(AddOtherProductRequest request)` Metodo di validazione dell'input per l'aggiunta di un altro prodotto.
    `void` | `validate(AddPainRequest request)` Metodo di validazione dell'input per l'aggiunta di un dolore.
    `void` | `validate(AddProsthesisAidRequest request)` Metodo di validazione dell'input per l'aggiunta di una protesi.
    `void` | `validate(AddSymptomRequest request)` Metodo di validazione dell'input per l'aggiunta di un sintomo.
    `void` | `validate(AddTravelPersonalInfoRequest request)` Metodo di validazione dell'input per l'aggiunta di un viaggio.
    `void` | `validate(DeleteDetectionRequest request)` Metodo di validazione dell'input per la cancellazione di una rilevazione.
    `void` | `validate(DeleteDocumentRequest request)` Metodo di validazione dell'input per la cancellazione di un documento.
    `void` | `validate(DeleteDrugRequest request)` Metodo di validazione dell'input per la cancellazione di un farmaco.
    `void` | `validate(DeleteEventRequest request)` Metodo di validazione dell'input per la cancellazione di un evento.
    `void` | `validate(DeleteHealthcareContactRequest request)` Metodo di validazione dell'input per la cancellazione di un contatto Struttura Sanitaria.
    `void` | `validate(DeleteNoteRequest request)` Metodo di validazione dell'input per la cancellazione di una nota.
    `void` | `validate(DeleteOtherContactRequest request)` Metodo di validazione dell'input per la cancellazione di un contatto struttura non conv.
    `void` | `validate(DeleteOtherProductRequest request)` Metodo di validazione dell'input per la cancellazione di un altro prodotto.
    `void` | `validate(DeletePainRequest request)` Metodo di validazione dell'input per la cancellazione di un dolore.
    `void` | `validate(DeleteProsthesisAidRequest request)` Metodo di validazione dell'input per la cancellazione di una protesi.
    `void` | `validate(DeleteSymptomRequest request)` Metodo di validazione dell'input per la cancellazione di un sintomo.
    `void` | `validate(DeleteTravelPersonalInfoRequest request)` Metodo di validazione dell'input per la cancellazione di un viaggio.
    `void` | `validate(DownloadDocumentRequest request)` Metodo di validazione dell'input per il download di un documento.
    `void` | `validate(GetNoteListRequest request)` Metodo di validazione dell'input per il recupero dell'elenco delle note del cittadino.
    `void` | `validate(UpdateDetectionRequest request)` Metodo di validazione dell'input per l'aggiornamento di una rilevazione.
    `void` | `validate(UpdateDocumentRequest request)` Metodo di validazione dell'input per l'aggiornamento di un documento.
    `void` | `validate(UpdateDrugRequest request)` Metodo di validazione dell'input per l'aggiornamento di un farmaco.
    `void` | `validate(UpdateEventRequest request)` Metodo di validazione dell'input per l'aggiornamento di un evento.
    `void` | `validate(UpdateHealthcareContactRequest request)` Metodo di validazione dell'input per l'aggiornamento di un contatto Struttura Sanitaria.
    `void` | `validate(UpdateNoteRequest request)` Metodo di validazione dell'input per l'aggiornamento di una nota.
    `void` | `validate(UpdateOtherContactRequest request)` Metodo di validazione dell'input per l'aggiornamento di un contatto medico non conv.
    `void` | `validate(UpdateOtherProductRequest request)` Metodo di validazione dell'input per l'aggiornamento di un altro prodotto.
    `void` | `validate(UpdatePainRequest request)` Metodo di validazione dell'input per l'aggiornamento di un dolore.
    `void` | `validate(UpdateProsthesisAidRequest request)` Metodo di validazione dell'input per l'aggiornamento di una protesi.
    `void` | `validate(UpdateSymptomRequest request)` Metodo di validazione dell'input per l'aggiornamento di un sintomo.
    `void` | `validate(UpdateTravelPersonalInfoRequest request)` Metodo di validazione dell'input per l'aggiornamento di un viaggio.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputValidator

          public InputValidator()

  - ### Method Detail

    - #### validate

          public void validate(AddDocumentRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un documento.
      Parameters:
        `request` - Richiesta contenente i dati del documento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddNoteRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di una nota.
      Parameters:
        `request` - Richiesta contenente i dati della nota da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteNoteRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di una nota.
      Parameters:
        `request` - Richiesta contenente i dati della nota da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteDocumentRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un documento.
      Parameters:
        `request` - Richiesta contenente i dati del documento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DownloadDocumentRequest request)
                        throws FaultException

      Metodo di validazione dell'input per il download di un documento.
      Parameters:
        `request` - Richiesta contenente i dati del documento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateDocumentRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un documento.
      Parameters:
        `request` - Richiesta contenente i dati del documento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateNoteRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di una nota.
      Parameters:
        `request` - Richiesta contenente i dati della nota da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteDetectionRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di una rilevazione.
      Parameters:
        `request` - Richiesta contenente i dati della rilevazione da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteDrugRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un farmaco.
      Parameters:
        `request` - Richiesta contenente i dati del farmaco da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteEventRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un evento.
      Parameters:
        `request` - Richiesta contenente i dati dell'evento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteHealthcareContactRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un contatto Struttura Sanitaria.
      Parameters:
        `request` - Richiesta contenente i dati del contatto Struttura Sanutaria da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteOtherContactRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un contatto struttura non conv.
      Parameters:
        `request` - Richiesta contenente i dati del contatto struttura non conv da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteOtherProductRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un altro prodotto.
      Parameters:
        `request` - Richiesta contenente i dati del altro prodotto da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeletePainRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un dolore.
      Parameters:
        `request` - Richiesta contenente i dati del dolore da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteProsthesisAidRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di una protesi.
      Parameters:
        `request` - Richiesta contenente i dati della protesi da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteSymptomRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un sintomo.
      Parameters:
        `request` - Richiesta contenente i dati del sintomo da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(DeleteTravelPersonalInfoRequest request)
                        throws FaultException

      Metodo di validazione dell'input per la cancellazione di un viaggio.
      Parameters:
        `request` - Richiesta contenente i dati del viaggio da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateDetectionRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di una rilevazione.
      Parameters:
        `request` - Richiesta contenente i dati della rilevazione da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateDrugRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un farmaco.
      Parameters:
        `request` - Richiesta contenente i dati del farmaco da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateEventRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un evento.
      Parameters:
        `request` - Richiesta contenente i dati dell'evento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateHealthcareContactRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un contatto Struttura Sanitaria.
      Parameters:
        `request` - Richiesta contenente i dati del contatto struttura sanitaria da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateOtherContactRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un contatto medico non conv.
      Parameters:
        `request` - Richiesta contenente i dati del contatto medico non conv da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateOtherProductRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un altro prodotto.
      Parameters:
        `request` - Richiesta contenente i dati del altro prodotto da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdatePainRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un dolore.
      Parameters:
        `request` - Richiesta contenente i dati del dolore da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateProsthesisAidRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di una protesi.
      Parameters:
        `request` - Richiesta contenente i dati della protesi da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateSymptomRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un sintomo.
      Parameters:
        `request` - Richiesta contenente i dati del sintomo da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(UpdateTravelPersonalInfoRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiornamento di un viaggio.
      Parameters:
        `request` - Richiesta contenente i dati del viaggio da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddDetectionRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di una rilevazione.
      Parameters:
        `request` - Richiesta contenente i dati della rilevazione da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddDrugRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un farmaco.
      Parameters:
        `request` - Richiesta contenente i dati del farmaco da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddEventRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un evento.
      Parameters:
        `request` - Richiesta contenente i dati dell'evento da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddHealthcareContactRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un contatto struttura sanitaria.
      Parameters:
        `request` - Richiesta contenente i dati del contatto struttura sanitaria da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddOtherContactRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un contatto medico non conv.
      Parameters:
        `request` - Richiesta contenente i dati del contatto medico non conv da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddOtherProductRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un altro prodotto.
      Parameters:
        `request` - Richiesta contenente i dati del altro prodotto da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddPainRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un dolore.
      Parameters:
        `request` - Richiesta contenente i dati del dolore da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddProsthesisAidRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di una protesi.
      Parameters:
        `request` - Richiesta contenente i dati della protesi da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddSymptomRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un sintomo.
      Parameters:
        `request` - Richiesta contenente i dati del sintomo da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(AddTravelPersonalInfoRequest request)
                        throws FaultException

      Metodo di validazione dell'input per l'aggiunta di un viaggio.
      Parameters:
        `request` - Richiesta contenente i dati del viaggio da validare.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

    - #### validate

          public void validate(GetNoteListRequest request)
                        throws FaultException

      Metodo di validazione dell'input per il recupero dell'elenco delle note del cittadino.
      Parameters:
        `request` - Richiesta contenente i dati del recupero dell'elenco delle note del cittadino.
      Throws:
        `FaultException` - Quando il codice fiscale del paziente, l'identificativo, o gli attributi obbligatori dentro l'oggetto, non sono valorizzati o conformi.

Copyright © 2024. All rights reserved.